Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityAIArrowAttack

    java.lang.Object
      net.minecraft.src.EntityAIBase
          net.minecraft.src.EntityAIArrowAttack

    public class EntityAIArrowAttack

extends EntityAIBase

Constructor Summary
`EntityAIArrowAttack(IRangedAttackMob par1IRangedAttackMob, float par2, int par3, float par4)`

Method Summary
`boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
`void` | `resetTask()` Resets the task
`boolean` | `shouldExecute()` Returns whether the EntityAIBase should begin execution.
`void` | `updateTask()` Updates the task

Methods inherited from class net.minecraft.src.EntityAIBase
`getMutexBits, isContinuous, setMutexBits, startExecuting`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAIArrowAttack

    public EntityAIArrowAttack(IRangedAttackMob par1IRangedAttackMob,
                               float par2,
                               int par3,
                               float par4)

Method Detail

### shouldExecute

    public boolean shouldExecute()

  Returns whether the EntityAIBase should begin execution.

  Specified by:
    `shouldExecute` in class `EntityAIBase`

### continueExecuting

    public boolean continueExecuting()

  Returns whether an in-progress EntityAIBase should continue executing

  Overrides:
    `continueExecuting` in class `EntityAIBase`

### resetTask

    public void resetTask()

  Resets the task

  Overrides:
    `resetTask` in class `EntityAIBase`

### updateTask

    public void updateTask()

  Updates the task

  Overrides:
    `updateTask` in class `EntityAIBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD